REM Army PEO Aviation Control No: 25-056 Distribution Statement A - "Approved for public release: distribution unlimited"

REM Copyright (c) Vanderbilt University, 2025

REM ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED 

REM This software, authored by Vanderbilt University under a contract awarded to and managed by Alion 
REM Science and Technology, was funded by the U.S. Government under Contract No. FA8075-14-D-0014 
REM and the U.S. Government has unlimited rights in this software.  An "unlimited rights" license 
REM means that the U.S. Government can use, modify, reproduce, release or disclose computer software
REM in whole or in part, in any manner, and for any purpose whatsoever, and to have or authorize 
REM others to do so.

REM Vanderbilt University disclaims all warranties with regard to this software, including all implied 
REM warranties of merchantability and fitness. In no event shall Vanderbilt University be liable for 
REM any special, indirect or consequential damages or any damages whatsoever resulting from loss of 
REM use, data or profits, whether in an action of contract, negligence or other tortious action, 
REM arising out of or in connection with the use or performance of this software. 

REM Run DMVT (i.e. DACT)
REM CTS 3.0.4 Requires Java 1.8
set JAVA_EXE="C:\Program Files\Java\jre1.8.0_291\bin\java.exe"

REM Must set the following per your CTS Installation
set DMVT_DACT_JAR="D:\FACE_Bin\CTS\Windows_CTS_3.0.4_Distribution\FACEConformanceTestSuite_3.0.4\DMVT\DAConformanceTest_v30-2022.3.1\DAConformanceTest_v30-2022.3.1.jar"

REM Set to your FACE(R) Model
set FACE_Model=Space_Shuttle_Tanks_30.face

REM The SDM is required to validate that the SDM elements in your FACE model have not been altered.
set FACE_SDM=FACE_3.0_Shared_Data_Model_v3.0.2.face

REM Set log file to the name you prefer.
set LOG_FILE=DMVT_ArchitectureModel.log

REM Run DMVT
%JAVA_EXE% -jar %DMVT_DACT_JAR% -usm %FACE_Model% -l %LOG_FILE% -sdm %FACE_SDM%

REM Get DMVT help only
REM %JAVA_EXE% -jar %DMVT_DACT_JAR% -help